# Generated by Django 2.0.5 on 2022-01-20 06:30

import django.contrib.postgres.fields
import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0103_profile_default_landing_page'),
        ('document', '0065_connectwiseserviceticketparsefailed'),
    ]

    operations = [
        migrations.CreateModel(
            name='ConnectwisePurchaseOrderLineitemsData',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('crm_id', models.IntegerField()),
                ('description', models.CharField(max_length=500)),
                ('line_number', models.IntegerField()),
                ('product_crm_id', models.IntegerField()),
                ('product_id', models.CharField(max_length=100)),
                ('purchase_order_crm_id', models.IntegerField()),
                ('ordered_quantity', models.IntegerField()),
                ('received_quantity', models.IntegerField(null=True)),
                ('serial_numbers', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=100), size=None)),
                ('ship_date', models.DateTimeField(null=True)),
                ('shipping_method', models.CharField(max_length=100, null=True)),
                ('received_date', models.DateTimeField(null=True)),
                ('received_status', models.CharField(max_length=100, null=True)),
                ('last_updated_in_cw', models.DateTimeField()),
                ('additional_data', django.contrib.postgres.fields.jsonb.JSONField(default={})),
                ('po_number', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='cw_line_items_data', to='document.ConnectwisePurchaseOrder')),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='accounts.Provider')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='sowdocumentsettings',
            name='total_no_of_cutovers_statement',
            field=models.TextField(blank=True, default='Up to ##{no_of_cutovers} cutovers has been accounted for in this project. Additional cutover requests will require a change order and associated costs or hours.', null=True),
        ),
        migrations.AddField(
            model_name='sowdocumentsettings',
            name='total_no_of_sites_statement',
            field=models.TextField(blank=True, default='Up to ##{no_of_sites} sites will be included in this project.', null=True),
        ),
    ]
